Summary:    An X driver for Genius tablets
Name:       wizardpen
Version:    0.8.0
Release:    5%{?dist}
License:    GPLv2
Group:      User Interface/X Hardware Support
URL:        https://launchpad.net/wizardpen
Source0:    http://launchpad.net/wizardpen/trunk/0.8/+download/xorg-input-%{name}-%{version}.tar.gz
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: xorg-x11-proto-devel, binutils
BuildRequires: xorg-x11-server-sdk, pkgconfig

%description
A Linux/HAL/udev/X11 driver for most non-Wacom graphics pads.

Supported tablets: Acecad Flair II GT-504, DigiPro 5.5×4” Graphics Tablet,
Digital Ink Pad (A4 format), G-pen, Genius Wizardpen, Genius Mousepen,
Genius Easypen i405, Genius, iBall, Manhattan, Pentagram, QWare, Trust TB-3100,
Trust TB-5300, Trust TB-6300, UC-LOGIC, iBall Tablet PF8060,
AIPTEK HyperPen 10000 U, AIPTEK Slim Tablet U600 Premium II.

%prep
%setup -q -n xorg-input-%{name}-%{version}
chmod -x src/*.h src/*.c calibrate/*.c

%build
./autogen.sh
sed -i -e's,/usr/lib,%{_libdir},g' configure
%configure --with-xorg-conf-dir=%{_datadir}/X11/xorg.conf.d
make clean
make

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

%clean
rm -rf %{buildroot}

%files 
%defattr(-,root,root,-)
%doc ChangeLog COPYING README
%{_bindir}/wizardpen-calibrate
%{_libdir}/xorg/modules/input/wizardpen_drv.so
%exclude %{_libdir}/xorg/modules/input/wizardpen_drv.la
%{_mandir}/man4/wizardpen.4.gz
/lib/udev/rules.d/67-xorg-wizardpen.rules
%{_datadir}/X11/xorg.conf.d/70-wizardpen.conf
%{_datadir}/hal/fdi/preprobe/20thirdparty/*.fdi
%config(noreplace) %{_sysconfdir}/udev/rules.d/70-xorg-wizardpen-settings.rules

%changelog
* Sun Apr 10 2011 Paulo Roma <roma@lcg.ufrj.br> 0.8.0-5
- Updated to 0.8.0

* Sun Jan 25 2009 Paulo Roma <roma@lcg.ufrj.br> 0.6.0.2-4
- Created a hal rule for loading wizardpen in xorg 1.5.3.

* Fri Jan 23 2009 Paulo Roma <roma@lcg.ufrj.br> 0.6.0.2-3
- Updated to 0.6.0.2

* Sat Mar 29 2008 Paulo Roma <roma@lcg.ufrj.br> 0.5.0-2
- Fixed udev rules.

* Wed Mar 26 2008 Paulo Roma <roma@lcg.ufrj.br> 0.5.0-1
- Initial spec file.


